/*********************************
 * Burnable absorber definitions *
 *********************************/

% BP Geometry above Dashpot

pin pBP
air         0.21400
ssteel      0.23051
helium      0.24130
bGlass      0.42672
helium      0.43688
ssteel      0.48387
water       0.56134
Zircaloy4   0.60198
fill grid


% BP Plenum
% In dashpot guidetube, but is located above dashpot?
% Guidetube radii above dashpot: water 0.56134, Zircaloy4 0.60198

pin pBPplenum
air         0.21400
ssteel      0.23051
helium      0.43688
ssteel      0.48387
water       0.50419
Zircaloy4   0.54610
fill grid

% Stainless steel pin in guidetube at Dashpot

pin pSSinGTbelow
ssteel      0.45720 % fuel pin radius 
water       0.50419
Zircaloy4   0.54610
fill grid

% Stainless steel pin in guidetube above Dashpot

pin pSSinGT
ssteel      0.45720 % fuel pin radius 
water       0.56134
Zircaloy4   0.60198
fill grid
  
pin pSSinBwater
ssteel      0.45720
SPBwater 


/***** Vertical layers for Burnable Absorbers ****/

% ! Weird guidetube tapering above dashpot from Top of Active Absorber to Top of BPRA Rod Plenum !

cell cBP0 b water                               -sSPBot
cell cBP1 b SPBwater            sSPBot          -sRodBot
cell cBP2 b fill pGTbelow       sRodBot         -sBPRABot
cell cBP3 b fill pSSinGTbelow   sBPRABot        -sCRBot
cell cBP4 b fill pSSinGT        sCRBot          -sBPBot
cell cBP5 b fill pBP            sBPBot          -sBPTop
cell cBP6 b fill pBPplenum      sBPTop          -sBPplenumTop
cell cBP7 b fill pSSinGT        sBPplenumTop    -sNozzleBot
cell cBP8 b fill pSSinBwater   sNozzleBot      -sNozzleTop
cell cBP9 b water               sNozzleTop     


