/************************
 * Fuel rod definitions *
 ************************/

% --- Axial universe containing the correct water
%     (bottom reflector, top reflector or coolant)

cell cAXIwater0 axiWater water_bot_refl               -sFuelBot
cell cAXIwater1 axiWater water               sFuelBot -sFuelTop
cell cAXIwater2 axiWater water_top_refl      sFuelTop

% --- Use global coordinates for axiWater universe

trans u axiWater 0


% Fuel part of the rod, 1.6 wt-% enriched uranium oxide

pin pFuel16
fuel16      0.39218
helium      0.40005
Zircaloy4   0.45720
fill grid


% Fuel part of the rod, 2.4 wt-% enriched uranium oxide

pin pFuel24
fuel24      0.39218
helium      0.40005
Zircaloy4   0.45720
fill grid


% Fuel part of the rod, 3.1 wt-% enriched uranium oxide

pin pFuel31
fuel31      0.39218
helium      0.40005
Zircaloy4   0.45720
fill grid

% Fuel part of the rod, 3.2 wt-% enriched uranium oxide

pin pFuel32
fuel32      0.39218
helium      0.40005
Zircaloy4   0.45720
fill grid


% Fuel part of the rod, 3.4 wt-% enriched uranium oxide

pin pFuel34
fuel34      0.39218
helium      0.40005
Zircaloy4   0.45720
fill grid


% Upper Fuel Pin Plenum

pin pUpperPlen
inconel     0.06459
helium      0.40005
Zircaloy4   0.45720
fill grid


% Zircaloy4 Pin

pin pZircaloy
Zircaloy4   0.45720
fill grid


% Support Plate stainless steel pin

pin pSPssteel
SPssteel    0.45720
SPBwater


/***** Vertical layers for fuel rods ****/


cell cFX0 uFX water_bot_refl  -sSPBot
cell cFX1 uFX fill pSPssteel   sSPBot      -sRodBot
cell cFX2 uFX fill pZircaloy   sRodBot     -sFuelTop
cell cFX3 uFX fill pUpperPlen  sFuelTop    -sPlenumTop
cell cFX4 uFX fill pZircaloy   sPlenumTop  -sRodTop
cell cFX5 uFX fill grid        sRodTop     -sNozzleBot
cell cFX6 uFX fill pSPssteel   sNozzleBot  -sNozzleTop
cell cFX7 uFX water_top_refl   sNozzleTop

cell cFRo1 uFR fill uFX                   -sFuelBot
cell cFRin uFR fill pFuel16    sFuelBot    -sFuelTop
cell cFRo2 uFR fill uFX        sFuelTop


cell cFYo1 uFY fill uFX                    -sFuelBot
cell cFYin uFY fill pFuel24    sFuelBot    -sFuelTop
cell cFYo2 uFY fill uFX        sFuelTop


cell cFBo1 uFB fill uFX                    -sFuelBot
cell cFBin uFB fill pFuel31    sFuelBot    -sFuelTop
cell cFBo2 uFB fill uFX        sFuelTop


cell cFGo1 uFG fill uFX                    -sFuelBot
cell cFGin uFG fill pFuel32    sFuelBot    -sFuelTop
cell cFGo2 uFG fill uFX        sFuelTop


cell cFOo1 uFO fill uFX                    -sFuelBot
cell cFOin uFO fill pFuel34    sFuelBot    -sFuelTop
cell cFOo2 uFO fill uFX        sFuelTop
