/***************************
 * Grid spacer definitions *
 ***************************/


% Square surface with half-width 0.61015 for inconel grid

surf sIGrid     sqc 0 0 0.61015

% Square surface with half-width 0.61049 for zircaloy grid

surf sZGrid     sqc 0 0 0.61049

% Inconel grid pin

cell cIGridIn   pIGrid   fill axiWater  -sIGrid
cell cIGridOut  pIGrid   inconel         sIGrid

% Zircaloy grid pin

cell cZGridIn   pZGrid   fill axiWater  -sZGrid
cell cZGridOut  pZGrid   Zircaloy4       sZGrid


/***** Vertical layers for grid *****/

cell cGR0   grid    fill axiWater            -sG1Bot
cell cGR1   grid    fill pIGrid     sG1Bot   -sG1Top
cell cGR2   grid    fill axiWater   sG1Top   -sG2Bot
cell cGR3   grid    fill pZGrid     sG2Bot   -sG2Top
cell cGR4   grid    fill axiWater   sG2Top   -sG3Bot
cell cGR5   grid    fill pZGrid     sG3Bot   -sG3Top
cell cGR6   grid    fill axiWater   sG3Top   -sG4Bot
cell cGR7   grid    fill pZGrid     sG4Bot   -sG4Top
cell cGR8   grid    fill axiWater   sG4Top   -sG5Bot
cell cGR9   grid    fill pIGrid     sG5Bot   -sG5Top
cell cGR10  grid    fill axiWater   sG5Top


% Grid sleeve inner and outer surfaces

surf sSleeveIn  sqc 0 0 10.70864
surf sSleeveOut sqc 0 0 10.74798

% Grid sleeve radial cells

cell cSS0   pSS     fill axiWater              -sSleeveIn
cell cSS1   pSS     ssteel         sSleeveIn   -sSleeveOut
cell cSS2   pSS     fill axiWater  sSleeveOut

cell cZS0   pZS     fill axiWater              -sSleeveIn
cell cZS1   pZS     Zircaloy4      sSleeveIn   -sSleeveOut
cell cZS2   pZS     fill axiWater  sSleeveOut

% Grid sleeve axial cells

cell cS0    sleeve  fill axiWater          -sG1Bot
cell cS1    sleeve  fill pSS       sG1Bot  -sG1Top
cell cS2    sleeve  fill axiWater  sG1Top  -sG2Bot
cell cS3    sleeve  fill pZS       sG2Bot  -sG2Top
cell cS4    sleeve  fill axiWater  sG2Top  -sG3Bot
cell cS5    sleeve  fill pZS       sG3Bot  -sG3Top
cell cS6    sleeve  fill axiWater  sG3Top  -sG4Bot
cell cS7    sleeve  fill pZS       sG4Bot  -sG4Top
cell cS8    sleeve  fill axiWater  sG4Top  -sG5Bot
cell cS9    sleeve  fill pSS       sG5Bot  -sG5Top
cell cS10   sleeve  fill axiWater  sG5Top
